Package org.postgresql.replication.fluent.logical

# Interface ChainedLogicalCreateSlotBuilder

All Superinterfaces:
  `ChainedCommonCreateSlotBuilder<ChainedLogicalCreateSlotBuilder>`

All Known Implementing Classes:
  `LogicalCreateSlotBuilder`

public interface ChainedLogicalCreateSlotBuilder extends ChainedCommonCreateSlotBuilder<ChainedLogicalCreateSlotBuilder>
Logical replication slot specific parameters.

## Method Summary

Modifier and Type
Method
Description
`ChainedLogicalCreateSlotBuilder`
`withOutputPlugin(String outputPlugin)`
Output plugin that should be use for decode physical represent WAL to some logical form.

### Methods inherited from interface org.postgresql.replication.fluent.ChainedCommonCreateSlotBuilder

`make, withSlotName, withTemporaryOption`

## Method Details

### withOutputPlugin

ChainedLogicalCreateSlotBuilder withOutputPlugin(String outputPlugin)

Output plugin that should be use for decode physical represent WAL to some logical form. Output plugin should be installed on server(exists in shared_preload_libraries).

Package postgresql-contrib provides sample output plugin test_decoding that can be use for test logical replication api

Parameters:
  `outputPlugin` - not null name of the output plugin used for logical decoding
Returns:
  the logical slot builder